Main Page Widgets Namespaces Book

# Glib::Value< unsigned int > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< unsigned int >:

[legend]
List of all members.

### template<>
class Glib::Value< unsigned int >

## Public Types
typedef unsigned int | CppType
typedef guint | CType
## Public Member Functions
void | set (unsigned int data)
unsigned int | get () const
## Static Public Member Functions
GType | value_type () G_GNUC_CONST

## Member Typedef Documentation

typedef unsigned int Glib::Value<unsigned int>::CppType

typedef guint Glib::Value<unsigned int>::CType

## Member Function Documentation

unsigned int Glib::Value<unsigned int>::get | ( |  | ) | const

void Glib::Value<unsigned int>::set | ( | unsigned int | data | ) |

GType Glib::Value<unsigned int>::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- value_basictypes.h